package com.eossonline.utils;

import java.io.*;
import java.net.*;

public class MulticastListener {
   public static void main(String[] args) {
      if (args.length < 2) {
         System.out.println
            ("Usage: java MulticastListener <MultiCast IP> <port>");
         return;
      }
      String ip = args[0];
      int port = Integer.parseInt(args[1]);
      try {
         InetAddress group = InetAddress.getByName(ip);
         MulticastSocket s = new MulticastSocket(port);
         s.joinGroup(group);

         byte[] buffer = new byte[10*1024];
         DatagramPacket data = new DatagramPacket(buffer, buffer.length);
         while (true) {
            s.receive(data);
            System.out.println("Received: "+ 
               (new String(buffer, 0, data.getLength())));
         }
      } catch (IOException e) {
         System.out.println(e.toString());
      }
   }
}